Subject: bug#25017: closed (Re: bug#25017: Fwd: Re: dotimes var comiler warning)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 28 Nov 2016 16:33:02 +0000

Your bug report

#25017: Fwd: Re: dotimes var comiler warning

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25017: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25017
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25017: Fwd: Re: dotimes var comiler warning
From: Michael Heerdegen <[email-masked]>
To: Philipp Stephani <[email-masked]>
Cc: [email-masked], [email-masked], Drew Adams <[email-masked]>
Date: Mon, 28 Nov 2016 17:31:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Philipp Stephani <[email-masked]> writes:

>  For purposes of this thread: As in Emacs Lisp, both VAR
>  and COUNT are required arguments. In general, I'd prefer
>  that Emacs Lisp not diverge from but converge toward
>  Common Lisp.
>
> The (implicit) decision to diverge further from Common Lisp has been
> made a while ago, by prefixing the CL functions with `cl' and
> importing the `seq' and `map' libraries, which provide similar
> functionality, but with a different interface.

Maybe (though, I don't think there was such decision, implicit or not -
"seq" and "map" functions also have an according prefix - I wouldn't say
we are converging are diverging to/from Common Lisp at all, but give
developers a stylistic choice).  But here were are talking about a
construct that exists in pure Elisp, and OTOH also in Common Lisp,
sharing the same name.  If there is not really a need to make the
semantics differ, I prefer to leave things as they are, because
everything else would probably be more confusing than helpful.

Regards,

Michael.

Subject: Fwd: Re: dotimes var comiler warning
From: Andreas Röhler <[email-masked]>
To: [email-masked]
Date: Thu, 24 Nov 2016 15:10:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

See text below, thanks!

-------- Forwarded Message --------
Subject: 	Re: dotimes var comiler warning
Date: 	Thu, 24 Nov 2016 14:32:44 +0100
From: 	Michael Heerdegen <[email-masked]>
To: 	Andreas Röhler <[email-masked]>
CC: 	Help Gnu Emacs mailing list <[email-masked]>

Andreas Röhler <[email-masked]> writes:

> when employing a form
>
> (dotimes (i erg)
>
>    ...do-something
>
>
> Compiler sends a warning "Unused lexical variable ‘i’ - whilst seems
> no way to leave out such a var.
>
> Worth a bug-report?

If none exists yet, I'm for it.  FWIW, there is a FIXME comment in the
source code already.

Yes, you can probably use `_' to suppress the warning, but I always
wondered why something called like this requires a variable to be
specified (mandatorily) at all.

Michael.